(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('dynamic-script-injector', ['exports', '@angular/common', '@angular/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["dynamic-script-injector"] = {}, global.ng.common, global.ng.core));
})(this, (function (exports, common, i0) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () { return e[k]; }
                    });
                }
            });
        }
        n["default"] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

    var DynamicScriptInjector = /** @class */ (function () {
        function DynamicScriptInjector(platformId) {
            this.platformId = platformId;
        }
        DynamicScriptInjector.prototype.loadAll = function (scriptUrls) {
            var _this = this;
            scriptUrls.map(function (script) { return _this.load(script); });
        };
        DynamicScriptInjector.prototype.load = function (scriptUrl) {
            if (common.isPlatformBrowser(this.platformId)) {
                var node = document.createElement('script');
                node.src = scriptUrl;
                node.type = 'text/javascript';
                node.async = true;
                node.charset = 'utf-8';
                document.getElementsByTagName('head')[0].appendChild(node);
            }
        };
        return DynamicScriptInjector;
    }());
    DynamicScriptInjector.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: DynamicScriptInjector, deps: [{ token: i0.PLATFORM_ID }], target: i0__namespace.ɵɵFactoryTarget.Injectable });
    DynamicScriptInjector.ɵprov = i0__namespace.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: DynamicScriptInjector, providedIn: 'root' });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: DynamicScriptInjector, decorators: [{
                type: i0.Injectable,
                args: [{
                        providedIn: 'root'
                    }]
            }], ctorParameters: function () {
            return [{ type: Object, decorators: [{
                            type: i0.Inject,
                            args: [i0.PLATFORM_ID]
                        }] }];
        } });

    var DynamicScriptInjectorModule = /** @class */ (function () {
        function DynamicScriptInjectorModule() {
        }
        return DynamicScriptInjectorModule;
    }());
    DynamicScriptInjectorModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: DynamicScriptInjectorModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    DynamicScriptInjectorModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: DynamicScriptInjectorModule });
    DynamicScriptInjectorModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: DynamicScriptInjectorModule, imports: [[]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0__namespace, type: DynamicScriptInjectorModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [],
                        imports: [],
                        exports: []
                    }]
            }] });

    /*
     * Public API Surface of dynamic-script-injector
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.DynamicScriptInjector = DynamicScriptInjector;
    exports.DynamicScriptInjectorModule = DynamicScriptInjectorModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=dynamic-script-injector.umd.js.map
