import { isPlatformBrowser } from '@angular/common';
import * as i0 from '@angular/core';
import { PLATFORM_ID, Injectable, Inject, NgModule } from '@angular/core';

class DynamicScriptInjector {
    constructor(platformId) {
        this.platformId = platformId;
    }
    loadAll(scriptUrls) {
        scriptUrls.map(script => this.load(script));
    }
    load(scriptUrl) {
        if (isPlatformBrowser(this.platformId)) {
            let node = document.createElement('script');
            node.src = scriptUrl;
            node.type = 'text/javascript';
            node.async = true;
            node.charset = 'utf-8';
            document.getElementsByTagName('head')[0].appendChild(node);
        }
    }
}
DynamicScriptInjector.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DynamicScriptInjector, deps: [{ token: PLATFORM_ID }], target: i0.ɵɵFactoryTarget.Injectable });
DynamicScriptInjector.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DynamicScriptInjector, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DynamicScriptInjector, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: Object, decorators: [{
                    type: Inject,
                    args: [PLATFORM_ID]
                }] }]; } });

class DynamicScriptInjectorModule {
}
DynamicScriptInjectorModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DynamicScriptInjectorModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DynamicScriptInjectorModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DynamicScriptInjectorModule });
DynamicScriptInjectorModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DynamicScriptInjectorModule, imports: [[]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.16", ngImport: i0, type: DynamicScriptInjectorModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [],
                    exports: []
                }]
        }] });

/*
 * Public API Surface of dynamic-script-injector
 */

/**
 * Generated bundle index. Do not edit.
 */

export { DynamicScriptInjector, DynamicScriptInjectorModule };
//# sourceMappingURL=dynamic-script-injector.js.map
